/* prototypes */
int WriteBlocked(char *, char *, int, char *, char *, char *);
void Log(char *, ...);
void Exit(int);
void Start(void);
int DaemonSeed(void);
int NeverBlock(char *, char *);
int CheckConfig(void);
int OpenTCPSocket(void);
int OpenUDPSocket(void);
#ifdef SUPPORT_STEALTH
int OpenRAWTCPSocket(void);
int OpenRAWUDPSocket(void);
#endif
int BindSocket(int, struct sockaddr_in, struct sockaddr_in, int);
int KillRoute(char *, int, char *, char *);
int KillHostsDeny(char *, int, char *, char *);
int KillRunCmd(char *, int, char *, char *);
int ConfigTokenRetrieve(char *, char *);
int IsBlocked(char *, char *);
int SubstString(const char *, const char *, const char *, char *);
int CheckFlag(char *);
int CompareIPs(char *, char *, int);
